* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: #f5f5f5;

    display: flex;
    justify-content: center;
    align-items: center;

    min-height: 100vh;
}

.container {
    width: 100%;
    max-width: 500px;

    padding: 30px;
    text-align: center;
}

h1 {
    margin-bottom: 5px;
    font-size: 36px;
}

.subtitle {
    color: #666;
    margin-bottom: 30px;
}

form {
    display: flex;
    gap: 10px;
}

input {
    width: 100%;
    padding: 13px;

    border: 1px solid #ccc;
    border-radius: 6px;

    font-size: 14px;
    outline: none;
}

button {
    padding: 13px 18px;

    border: none;
    border-radius: 6px;

    background: #111;
    color: white;

    cursor: pointer;
}

button:hover {
    opacity: 0.85;
}

.result {
    margin-top: 30px;
    text-align: left;
}

.result p {
    margin-bottom: 8px;
    color: #666;
}

.short-link {
    display: flex;
    gap: 10px;
}

.short-link input {
    background: white;
}